---
title: GlobalEventHandlers.onplaying
slug: Web/API/GlobalEventHandlers/onplaying
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <strong><code>onplaying</code></strong> property of the {{domxref("GlobalEventHandlers")}} mixin is the {{domxref("EventHandler")}} for processing {{event("playing")}} events.</p>

<p>The <code>playing</code> event is fired when playback is ready to start after having been paused or delayed due to lack of media data.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>element</var>.onplaying = <var>handlerFunction</var>;
var <var>handlerFunction</var> = <var>element</var>.onplaying;
</pre>

<p><code>handlerFunction</code> is either <code>null</code> or a <a href="/en-US/docs/Web/JavaScript/Reference/Functions">JavaScript function</a> specifying the handler for the event.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG','#handler-onplaying','onplaying')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility"> Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.onplaying")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLMediaElement/playing_event", "playing")}}</li>
 <li><a href="/en-US/docs/Web/Guide/Events/Event_handlers">DOM event handlers</a></li>
</ul>
